Debian Bug report logs - #517707
FTBFS mopac7_1.14-2(mipsel/unstable):

version graph

Package: mopac7; Maintainer for mopac7 is Debichem Team <debichem-devel@lists.alioth.debian.org>;

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 1 Mar 2009 15:48:02 UTC

Severity: serious

Tags: patch

Found in versions 1.14-2, 1.14-4

Fixed in version mopac7/1.15-2

Done: Daniel Leidert (dale) <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sun, 01 Mar 2009 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 15:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS mopac7_1.14-2(mipsel/unstable):
Date: Sun, 1 Mar 2009 16:42:37 +0100
Package: mopac7
Version: 1.14-2
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of mopac7_1.14-2 on mayer by sbuild/mipsel 99.999
> Build started at 20090228-2235

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 5), cdbs, gfortran

[...]

>                                      1
> Warning: Unused variable 'getnam' declared at (1)
> /bin/sh ../libtool --tag=F77 --mode=link gfortran  -Wall -g -O2 -std=legacy -fno-automatic  -Wl,-z,defs -o mopac7 -lmopac7 -lm mopac7app.o  -lm 
> gfortran -Wall -g -O2 -std=legacy -fno-automatic -Wl,-z -Wl,defs -o .libs/mopac7 mopac7app.o  /build/buildd/mopac7-1.14/fortran/.libs/libmopac7.so -lm
> /usr/bin/ld: non-dynamic relocations refer to dynamic symbol atomic_
> /usr/bin/ld: failed to set dynamic section sizes: Bad value
> collect2: ld returned 1 exit status
> make[3]: *** [mopac7] Error 1
> make[3]: Leaving directory `/build/buildd/mopac7-1.14/fortran'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/mopac7-1.14/fortran'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/build/buildd/mopac7-1.14'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=mipsel&pkg=mopac7&ver=1.14-2





Blocking bugs of 517707 added: 519006 Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 10 Mar 2009 22:06:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sat, 11 Apr 2009 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 11 Apr 2009 17:30:02 GMT) Full text and rfc822 format available.

Message #12 received at 517707@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 517707@bugs.debian.org
Cc: Michael Banck <mbanck@debian.org>
Subject: FTBFS mopac7_1.14-2(mipsel/unstable)
Date: Sat, 11 Apr 2009 19:26:53 +0200
In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#19 Matthias
suggested to give the binutils from experimental a try. Michael, do you
have the time to do this on a mips/mipsel buildd?

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sun, 12 Apr 2009 01:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@ofb.net>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 12 Apr 2009 01:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 517707@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@ofb.net>
To: 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: FTBFS mopac7_1.14-2(mipsel/unstable)
Date: Sat, 11 Apr 2009 18:49:42 -0700
On Sat, Apr 11, 2009 at 07:26:53PM +0200, Daniel Leidert wrote:
> In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#19 Matthias
> suggested to give the binutils from experimental a try. Michael, do you
> have the time to do this on a mips/mipsel buildd?

It FTBFSes in the same way on my mips box (SGI O2) in a chroot of current sid +
binutils 2.19.51.20090315-1 from experimental.


- Nicholas




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sun, 12 Apr 2009 10:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 12 Apr 2009 10:54:07 GMT) Full text and rfc822 format available.

Message #22 received at 517707@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Nicholas Breen <nbreen@ofb.net>, 517707@bugs.debian.org
Cc: 519006@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: Bug#517707: FTBFS mopac7_1.14-2(mipsel/unstable)
Date: Sun, 12 Apr 2009 12:51:33 +0200
On Sat, Apr 11, 2009 at 06:49:42PM -0700, Nicholas Breen wrote:
> On Sat, Apr 11, 2009 at 07:26:53PM +0200, Daniel Leidert wrote:
> > In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#19 Matthias
> > suggested to give the binutils from experimental a try. Michael, do you
> > have the time to do this on a mips/mipsel buildd?
> 
> It FTBFSes in the same way on my mips box (SGI O2) in a chroot of current sid +
> binutils 2.19.51.20090315-1 from experimental.

OK, thanks a lot for testing Nicholas - CCing Bug #519006 so Matthias
sees this.


Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Fri, 05 Jun 2009 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Fri, 05 Jun 2009 06:06:03 GMT) Full text and rfc822 format available.

Message #27 received at 517707@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Bug Tracking System <517707@bugs.debian.org>
Subject: FTBFS on mipsel due to missing -fPIC
Date: Fri, 05 Jun 2009 08:07:59 +0200
Package: mopac7
Version: 1.14-4
Severity: serious

Hi

mips and mipsel do now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.

Cheers

Luk




Tags added: pending, patch Request was from Daniel Leidert <daniel.leidert@wgdd.de> (dale) to control@bugs.debian.org. (Fri, 05 Jun 2009 12:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Fri, 05 Jun 2009 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Fri, 05 Jun 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 517707@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 517707@bugs.debian.org
Subject: Re: Bug#517707: FTBFS on mipsel due to missing -fPIC
Date: Fri, 05 Jun 2009 22:37:07 +0200
Luk Claes wrote:

> mips and mipsel do now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.

It's not sure this will fix the FTBFS as a similar issue still exists in
openssh after adding -fPIC. Maybe it's a mips* specific binutils issue...

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sat, 06 Jun 2009 15:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 06 Jun 2009 15:06:13 GMT) Full text and rfc822 format available.

Message #39 received at 517707@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Luk Claes <luk@debian.org>, 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: FTBFS on mipsel due to missing -fPIC
Date: Sat, 6 Jun 2009 17:04:08 +0200
On Fri, Jun 05, 2009 at 10:37:07PM +0200, Luk Claes wrote:
> Luk Claes wrote:
> 
> > mips and mipsel do now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.
> 
> It's not sure this will fix the FTBFS as a similar issue still exists in
> openssh after adding -fPIC. Maybe it's a mips* specific binutils issue...

I tried this on mahler, and -fPIC does not fix this:

(sid)mbanck@mahler:~/mopac7-1.14/fortran$ gfortran  -Wall -g -O2 -fPIC
	-std=legacy -fno-automatic -c -o mopac7app.o mopac7app.f
mopac7app.f:63.5:

   20 CALL READMO                                                       
     1
Warning: Label 20 at (1) defined but not used
mopac7app.f:43.37:

      CHARACTER*241 KEYWRD, GETNAM*80                                   
                                     1
Warning: Unused variable 'getnam' declared at (1)
(sid)mbanck@mahler:~/mopac7-1.14/fortran$ gfortran -Wall -g -O2
	-std=legacy -fno-automatic -Wl,-z -Wl,defs -o .libs/mopac7 mopac7app.o
	/home/mbanck/mopac7-1.14/fortran/.libs/libmopac7.so -lm -fPIC
/usr/bin/ld: non-dynamic relocations refer to dynamic symbol atomic_
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status


Michael




Tags removed: pending, patch Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Sat, 06 Jun 2009 21:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sat, 23 Jan 2010 15:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 23 Jan 2010 15:36:06 GMT) Full text and rfc822 format available.

Message #46 received at 517707@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: control@bugs.debian.org
Cc: 517707@bugs.debian.org
Subject:
Date: Sat, 23 Jan 2010 15:29:40 +0000 (UTC)
user bugsquash@qa.debian.org
usertags 517707 - tg@mirbsd.org
thanks

Sorry, I tried, but I couldn’t find a way to work around this
toolchain bug for this package; apparently, gfortran includes
symbols apparently.

bye,
//mirabilos
-- 
Yay for having to rewrite other people's Bash scripts because bash
suddenly stopped supporting the bash extensions they make use of
	-- Tonnerre Lombard in #nosec




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sun, 14 Feb 2010 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 12:42:06 GMT) Full text and rfc822 format available.

Message #51 received at 517707@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>, 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: ☹
Date: Sun, 14 Feb 2010 13:38:13 +0100
Hi,

On Sat, Jan 23, 2010 at 03:29:40PM +0000, Thorsten Glaser wrote:
> Sorry, I tried, but I couldn’t find a way to work around this
> toolchain bug for this package; apparently, gfortran includes
> symbols apparently.

Did you do some more work on this, you mentioned

01:48 < mira> -rw-r--r-- 1 root root    1589 Jan 24 00:47
mopac7_1.15-1_mipsel.changes


Regards,

Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Sun, 14 Feb 2010 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 15:36:04 GMT) Full text and rfc822 format available.

Message #56 received at 517707@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Michael Banck <mbanck@debian.org>
Cc: 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: ☹
Date: Sun, 14 Feb 2010 15:25:16 +0000 (UTC)
Michael Banck dixit:

>Did you do some more work on this, you mentioned
>
>01:48 < mira> -rw-r--r-- 1 root root    1589 Jan 24 00:47
>mopac7_1.15-1_mipsel.changes

Yes, see http://lists.debian.org/debian-mips/2010/01/msg00009.html

In short: we could force -g0 for gcc, g++, gfortran, ... on some
arches' buildds (for some packages only!) but that would require
deep changes to the infrastructure (the gcc-defaults package) as
policy mandates building with -g, there is no easy way out of it
e.g. in cdbs and the mopac7 debian/rules appends -g to FFLAGS as
well, so a per-arch override would be a little difficult to do.

Luk said we should hope for a binutils fix first and consider it
as a last resort thing, from what I understood.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Mon, 15 Feb 2010 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 16:42:05 GMT) Full text and rfc822 format available.

Message #61 received at 517707@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: ☹
Date: Mon, 15 Feb 2010 17:39:39 +0100
On Sun, Feb 14, 2010 at 03:25:16PM +0000, Thorsten Glaser wrote:
> Michael Banck dixit:
> 
> >Did you do some more work on this, you mentioned
> >
> >01:48 < mira> -rw-r--r-- 1 root root    1589 Jan 24 00:47
> >mopac7_1.15-1_mipsel.changes
> 
> Yes, see http://lists.debian.org/debian-mips/2010/01/msg00009.html

Thanks for pointing that out.
 
> In short: we could force -g0 for gcc, g++, gfortran, ... on some
> arches' buildds (for some packages only!) but that would require
> deep changes to the infrastructure (the gcc-defaults package) as
> policy mandates building with -g, there is no easy way out of it
> e.g. in cdbs and the mopac7 debian/rules appends -g to FFLAGS as
> well, so a per-arch override would be a little difficult to do.

Well, I'm not set on CDBS, we can migrate mopac7 to debhelper if we can
more easily work around the bug then; mopac7 holds up ghemical's testing
transition as well, so I would like to see this move forward.

Once binutils is fixed, we can remove the -g0 work-around again.


Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Mon, 15 Feb 2010 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 18:24:03 GMT) Full text and rfc822 format available.

Message #66 received at 517707@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Michael Banck <mbanck@debian.org>
Cc: 517707@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: ☹
Date: Mon, 15 Feb 2010 18:17:40 +0000 (UTC)
Michael Banck dixit:

>Well, I'm not set on CDBS, we can migrate mopac7 to debhelper

Yay! ;-)

>if we can more easily work around the bug then

No idea about that off-hand, though. I'd have to look.

>transition as well, so I would like to see this move forward.

Mh. Similar to how I have specific arch workarounds in the
mksh debian/rules file until e.g. dietlibc is fixed there...

It may already enough to use -g0 in FFLAGS in mopac7's
debian/rules on mipsel, although I have not tested that.
What I have tested is:
* remove -g from the langcore cdbs class
* remove -g from FFLAGS in mopac7 debian/rules
* build
That one works.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Added tag(s) pending and patch. Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Mon, 15 Feb 2010 20:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Mon, 15 Feb 2010 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 20:51:02 GMT) Full text and rfc822 format available.

Message #73 received at 517707@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Thorsten Glaser <tg@mirbsd.de>, 517707@bugs.debian.org
Cc: Michael Banck <mbanck@debian.org>
Subject: Re: Bug#517707: FTBFS mopac7_1.14-2(mipsel/unstable) ☹
Date: Mon, 15 Feb 2010 21:47:11 +0100
Am Montag, den 15.02.2010, 18:17 +0000 schrieb Thorsten Glaser:
> Michael Banck dixit:
> 
> >Well, I'm not set on CDBS, we can migrate mopac7 to debhelper
> 
> Yay! ;-)

Well, in the long term I would suggest we migrate all packages to dh7.
It is usually easier to handle.

> >if we can more easily work around the bug then
> 
> No idea about that off-hand, though. I'd have to look.

A patch [1] has been committed to our SVN. Michael or Torsten: Please
test. If it works (it did work as expected, but I did not test on
mips*), we can upload.

[1] http://svn.debian.org/wsvn/debichem/?op=comp&compare[]=%2F@2340&compare[]=%2F@2341

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Mon, 15 Feb 2010 21:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 21:18:06 GMT) Full text and rfc822 format available.

Message #78 received at 517707@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Thorsten Glaser <tg@mirbsd.de>, 517707@bugs.debian.org
Cc: Michael Banck <mbanck@debian.org>
Subject: Re: Bug#517707: ☹
Date: Mon, 15 Feb 2010 22:15:40 +0100
Am Sonntag, den 14.02.2010, 15:25 +0000 schrieb Thorsten Glaser:

> Luk said we should hope for a binutils fix first and consider it
> as a last resort thing, from what I understood.

For which fix? Matthias has forwarded the issue to the binutils mailing
list and the answer he got was: Use -fPIC. The upstream bug report does
not have any comment by upstream. And I also didn't get any answer to my
mail to the binutils mailing list.

"hope for a fix" - well, don't get me wrong, but atm it looks like this
will never be fixed.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#517707; Package mopac7. (Mon, 15 Feb 2010 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 23:12:02 GMT) Full text and rfc822 format available.

Message #83 received at 517707@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Daniel Leidert <daniel.leidert@wgdd.de>
Cc: 517707@bugs.debian.org, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#517707: ☹
Date: Mon, 15 Feb 2010 23:09:32 +0000 (UTC)
Daniel Leidert dixit:

>For which fix? Matthias has forwarded the issue to the binutils mailing
>list and the answer he got was: Use -fPIC.

Sadly, not the fix. (See my test case on the upstream bug.)

On the other things:
As I only used to have a mipsel VM, and I'm not even sure I
still have it (probably do) and qemu is slow and I'm still
catching up on a few weeks of things, I can't test "soon".
If still needed, I'll try to squeeze it in somewhen.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Reply sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
You have taken responsibility. (Tue, 16 Feb 2010 23:06:05 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Tue, 16 Feb 2010 23:06:05 GMT) Full text and rfc822 format available.

Message #88 received at 517707-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
To: 517707-close@bugs.debian.org
Subject: Bug#517707: fixed in mopac7 1.15-2
Date: Tue, 16 Feb 2010 23:03:23 +0000
Source: mopac7
Source-Version: 1.15-2

We believe that the bug you reported is fixed in the latest version of
mopac7, which is due to be installed in the Debian FTP archive:

libmopac7-1gf_1.15-2_amd64.deb
  to main/m/mopac7/libmopac7-1gf_1.15-2_amd64.deb
libmopac7-dev_1.15-2_amd64.deb
  to main/m/mopac7/libmopac7-dev_1.15-2_amd64.deb
mopac7-bin_1.15-2_amd64.deb
  to main/m/mopac7/mopac7-bin_1.15-2_amd64.deb
mopac7_1.15-2.diff.gz
  to main/m/mopac7/mopac7_1.15-2.diff.gz
mopac7_1.15-2.dsc
  to main/m/mopac7/mopac7_1.15-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert (dale) <daniel.leidert@wgdd.de> (supplier of updated mopac7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Feb 2010 23:31:05 +0100
Source: mopac7
Binary: libmopac7-dev libmopac7-1gf mopac7-bin
Architecture: source amd64
Version: 1.15-2
Distribution: unstable
Urgency: low
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Changed-By: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Description: 
 libmopac7-1gf - Semi-empirical Quantum Chemistry Library (library)
 libmopac7-dev - Semi-empirical Quantum Chemistry Library (development files)
 mopac7-bin - Semi-empirical Quantum Chemistry Library (binaries)
Closes: 517707
Changes: 
 mopac7 (1.15-2) unstable; urgency=low
 .
   * debian/control (Standards-Version): Bumped to 3.8.4.
   * debian/rules (CFLAGS, FFLAGS): Use -g0 on mips and mipsel architecture
     (closes: #517707). Thanks to Thorsten Glaser.
Checksums-Sha1: 
 bf03b8b9e452fe3d59f54004c52972805c695902 1273 mopac7_1.15-2.dsc
 04e14058369edcdfd012de4e554b1214f628f313 4432 mopac7_1.15-2.diff.gz
 687536251acbdfddbb6c37cf26644ec856e92cdb 840632 libmopac7-dev_1.15-2_amd64.deb
 89fc00d88864d6d291049eb22cb758ac06bfe137 625156 libmopac7-1gf_1.15-2_amd64.deb
 58187f5313e19204ac13dace530eb953cc2c656d 18758 mopac7-bin_1.15-2_amd64.deb
Checksums-Sha256: 
 8dc0fe77ec715df6e563de271b3ad58350e0a04482ce0a8763eef0267289696a 1273 mopac7_1.15-2.dsc
 d0a2401dcc9ab430890ba8b45f989bb2e8d8a6ff8ba8d3b248640e64fe369db2 4432 mopac7_1.15-2.diff.gz
 3a39fa3b70aec2ee67ee4b98493f6ca8c3cdb964866b1a753b28dc2c19a74784 840632 libmopac7-dev_1.15-2_amd64.deb
 975162b872265d6b79a0fd5f2febf93e9cba28d8c66d23bf5836c4c09f93f686 625156 libmopac7-1gf_1.15-2_amd64.deb
 f970b1103b7a0074aeaa31555e32e5a0dc802465c2491b976550c1ca88cbfa18 18758 mopac7-bin_1.15-2_amd64.deb
Files: 
 3c2decbc23eb1999bec2a9457b6796a6 1273 science optional mopac7_1.15-2.dsc
 9056ba20d1051f52f136bbb776f44992 4432 science optional mopac7_1.15-2.diff.gz
 d57e318fc977447a5d299ed8eae8f8a4 840632 libdevel optional libmopac7-dev_1.15-2_amd64.deb
 8eeabe40e97afcd296f00b9f1ca72e43 625156 libs optional libmopac7-1gf_1.15-2_amd64.deb
 f0f3a7234591b5b46f35bdb4eaf9a4e6 18758 science optional mopac7-bin_1.15-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt7IKUACgkQm0bx+wiPa4zfVACdFUJ1PUhZo4AxboWTtEyyMzdz
BeoAoNHJk5hX/sG+P9p2hJLQ2zSA4Klv
=gIIj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Mar 2010 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:28:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.